subset-methods {PivotalR} | R Documentation

## Extract a subset of a table or view

### Description

This function extracts a subset of a `db.obj` which could either be a `db.table` or `db.view` object.

### Usage

    ## S4 method for signature 'db.obj'
    subset(x, subset, select)

### Arguments

`x` | A `db.obj` (either `db.table` or `db.view`) object from which to extract element(s).
`subset, select` | Indices specifying elements to extract or replace. Indices are ‘numeric’ or ‘character’ vectors or empty (missing) or ‘NULL’. Numeric values are coerced to integer as by ‘as.integer’ (and hence truncated towards zero).

### Value

A `db.Rquery` object is returned which is a SQL query to extract the requested subset.

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`[-methods` Operator to extract elements

### Examples

    ## Not run:

    ## set up the database connection
    ## Assume that .port is port number and .dbname is the database name
    cid <- db.connect(port = .port, dbname = .dbname, verbose = FALSE)

    x <- as.db.data.frame(abalone, conn.id = cid, verbose = FALSE)
    lk(x, 10)

    lk(x[1:3])
    lk(subset(x, 1:3))

    db.disconnect(cid, verbose = FALSE)

    ## End(Not run)

[Package PivotalR version 0.1.18.3.1 Index]